commit:     d37da7c98c34f197eaa73ec6013631c9b244ad31
Author:     Conrad Kostecki <conrad <AT> kostecki <DOT> com>
AuthorDate: Sat Mar  2 18:04:49 2019 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Sat Mar  2 20:10:32 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d37da7c9

x11-misc/j4-dmenu-desktop: bump to version 2.17

Also bumped to EAPI=7 and added myself as additional maintainer.

Package-Manager: Portage-2.3.62, Repoman-2.3.12
Signed-off-by: Conrad Kostecki <conrad <AT> kostecki.com>
Closes: https://github.com/gentoo/gentoo/pull/11219
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>

 x11-misc/j4-dmenu-desktop/Manifest                 |  1 +
 .../j4-dmenu-desktop/j4-dmenu-desktop-2.17.ebuild  | 44 ++++++++++++++++++++++
 x11-misc/j4-dmenu-desktop/metadata.xml             | 14 ++++---
 3 files changed, 54 insertions(+), 5 deletions(-)

diff --git a/x11-misc/j4-dmenu-desktop/Manifest 
b/x11-misc/j4-dmenu-desktop/Manifest
index 6abb73d3cf2..65747793491 100644
--- a/x11-misc/j4-dmenu-desktop/Manifest
+++ b/x11-misc/j4-dmenu-desktop/Manifest
@@ -1 +1,2 @@
+DIST j4-dmenu-desktop-2.17.tar.gz 33531 BLAKE2B 
c1dd82a444efdbbf2af644ee6cdba6746a81228c5f6b2d212d5ea248628855f1cd1c4dff091ae278eb8c6458db4934b60acd8e2dd9a9c88b32537e76878824b3
 SHA512 
7a41bb60a6b3afa7bf6229f08674d5f31e0152d0788a17edc210986d1b1f0d4fad13ffaa13c58ed7a0c5d2e67f8f95bb2a0f6556aeb0f2cc24c7d885b346325e
 DIST j4-dmenu-desktop-r2.16.tar.gz 32553 BLAKE2B 
c1c7f0f2a59421b2e244a8f65251b296ad44ae37c10cbffb62bdefb168b6104e3d89c0a43b74feaf0afcc52ac78c8d46204ed397f131e526c447379b066b9b88
 SHA512 
d5bb0902d4bdc474fa20bc9d8f79de90a92bb4941f0d325dfcfaa1347ea3ad355b87da8194bc3f654970e9ab8848e6ecb5093f3c75fbaa8dbc40199fe6ea2837

diff --git a/x11-misc/j4-dmenu-desktop/j4-dmenu-desktop-2.17.ebuild 
b/x11-misc/j4-dmenu-desktop/j4-dmenu-desktop-2.17.ebuild
new file mode 100644
index 00000000000..8017519a138
--- /dev/null
+++ b/x11-misc/j4-dmenu-desktop/j4-dmenu-desktop-2.17.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit cmake-utils
+
+MY_PV="r${PV}"
+
+DESCRIPTION="A fast desktop replacement for i3-dmenu-desktop"
+HOMEPAGE="https://github.com/enkore/${PN}";
+SRC_URI="https://github.com/enkore/${PN}/archive/${MY_PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="GPL-3+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+
+DEPEND="test? ( dev-cpp/catch:1 )"
+RDEPEND="x11-misc/dmenu"
+
+S="${WORKDIR}/${PN}-${MY_PV}"
+
+src_prepare() {
+       cmake-utils_src_prepare
+
+       # Respect users CFLAGS
+       sed -i -e "s/-pedantic -O2//" CMakeLists.txt || die
+}
+
+src_configure() {
+       local mycmakeargs=(
+               -DWITH_GIT_CATCH="no"
+               -DWITH_TESTS=$(usex test)
+       )
+
+       cmake-utils_src_configure
+}
+
+src_install() {
+       cmake-utils_src_install
+
+       doman j4-dmenu-desktop.1
+}

diff --git a/x11-misc/j4-dmenu-desktop/metadata.xml 
b/x11-misc/j4-dmenu-desktop/metadata.xml
index 581cc21d736..146361db405 100644
--- a/x11-misc/j4-dmenu-desktop/metadata.xml
+++ b/x11-misc/j4-dmenu-desktop/metadata.xml
@@ -5,17 +5,21 @@
                <email>[email protected]</email>
                <name>Diogo Pereira</name>
        </maintainer>
+       <maintainer type="person">
+               <email>[email protected]</email>
+               <name>Conrad Kostecki</name>
+       </maintainer>
        <maintainer type="project">
                <email>[email protected]</email>
                <name>Proxy Maintainers</name>
        </maintainer>
-       <longdescription lang="en">
-               j4-dmenu-desktop is a replacement for i3-dmenu-desktop. Its 
purpose is
-               to find .desktop files and offer you a menu to start an 
application
-               using dmenu. You can also execute shell commands using it.
+       <longdescription>
+               j4-dmenu-desktop is a replacement for i3-dmenu-desktop.
+               The purpose is to find .desktop files,
+               but shell commands can also be executed.
        </longdescription>
        <upstream>
-               <remote-id type="github">enkore/j4-dmenu-desktop</remote-id>
                
<bugs-to>https://github.com/enkore/j4-dmenu-desktop/issues</bugs-to>
+               <remote-id type="github">enkore/j4-dmenu-desktop</remote-id>
        </upstream>
 </pkgmetadata>

Reply via email to